/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2009 The LS-Universe Team

  Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#ifndef _GRADIENT_RADIAL_H_
#define _GRADIENT_RADIAL_H_

#include "Gradient.h"

class GradientRadial : public Gradient {
public:
    GradientRadial(int width, int height, COLORREF startColor, COLORREF endColor);
protected:
    virtual void paintPixel(DWORD *p, int x, int y);
private:
    BYTE toRed;
    BYTE toGreen;
    BYTE toBlue;
    BYTE fromRed;
    BYTE fromGreen;
    BYTE fromBlue;
    double radius;
};

#endif